#include <iostream>
using namespace std;

int main(){
    ios_base::sync_with_stdio(false);
    int N, L;
    cin >> N >> L;
    int x;
    for (int i = 1; i <= N; i++){
        cin >> x;
        if(L >= x){
            cout << i;
            return 0;
        }
    }
    cout << -1;
    return 0;
}